Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class IndexedSequence

    java.lang.Object
      com.saxonica.extra.IndexedSequence

All Implemented Interfaces:
  java.io.Serializable

public class IndexedSequence
extends java.lang.Object
implements java.io.Serializable

This class represents a sequence (of nodes or atomic values) that can be accessed either in the same way as any other sequence, or via an index. An expression is provided to calculate the index values for each item in the sequence. Each item in the sequence is indexed on each of the atomic values that results from atomizing the result of this expression, when evaluated with that item as the context item.

See Also:
  Serialized Form

Constructor Summary
`IndexedSequence(Value sequence, Expression key, java.util.Comparator collator, XPathContext context)` Construct an indexed sequence

Method Summary
`SequenceIterator` | `find(AtomicValue value)` Get an iterator over the items with a given key value
`Value` | `getSequence()` Get the entire sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedSequence

    public IndexedSequence(Value sequence,
                           Expression key,
                           java.util.Comparator collator,
                           XPathContext context)
                    throws XPathException

  Construct an indexed sequence

Parameters:
  `sequence` - the sequence to be indexed
  `key` - the expression used to compute the key values for each item in the sequence
  `context` - the context for evaluation
Throws:
  `XPathException` - if evaluation of the key values fails for any reason

Method Detail

### getSequence

    public Value getSequence()

  Get the entire sequence

### find

    public SequenceIterator find(AtomicValue value)

  Get an iterator over the items with a given key value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD